distribute-0625 install problem

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

distribute-0625 install problem

Peter Donner
Before I read the instructions, downloaded the tarball to
c:\temp
 
Extracted files to
C:\temp\distribute-0.6.25
 
From Dos command window in the C:\temp\distribute-0.6.25 directory issued command python setup.py install
 
Got error "no module named distutils.util", but util.py is in
C:\Python32\Lib\distutils
 
Frustrating
 
Then I read instructions
 
Downloaded distribute_setup.py  to
C:\Python32\Lib
 
Ran distribute_setup.py in IDLE, got following message in red, which from my very limited python experience seems to be not good
 
Traceback (most recent call last):
  File "C:\temp\distribute-0.6.25\distribute_setup.py", line 494, in <module>
    main(sys.argv[1:])
  File "C:\temp\distribute-0.6.25\distribute_setup.py", line 489, in main
    tarball = download_setuptools()
  File "C:\temp\distribute-0.6.25\distribute_setup.py", line 192, in download_setuptools
    log.warn("Downloading %s", url)
  File "C:\Python32\lib\distutils\log.py", line 47, in warn
    self._log(WARN, msg, args)
  File "C:\Python32\lib\distutils\log.py", line 30, in _log
    if stream.errors == 'strict':
AttributeError: errors
 
My ultimate goal is to install beautifulsoup4 to parse webpages.  Steps I have been told to follow
 1) install python 3.2.2 (with msi installer)
  2) install distribute-0.6.24 (with "python setup.py install")
  3) install lxml-2.3-py3.2-win32.egg (with "easy_install lxml-2.3-
py3.2-win32.egg")
  4) install beautifulsoup4-4.0.0b10 (with "easy_install
beautifulsoup4")
 
Step 1 is complete. 
 
Step 2, can't seem to get 0.6.24, so tried 0.6.25.  Seems I have not succeeded, at least don't seem to be able to use easy_install
 
Any help will be greatly appreciated
 
 
 

_______________________________________________
Distutils-SIG maillist  -  [hidden email]
http://mail.python.org/mailman/listinfo/distutils-sig